var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
(function () {
    'use strict';
    var TICloudProgramProvider = (function (_super) {
        __extends(TICloudProgramProvider, _super);
        function TICloudProgramProvider(ticFileDialogs) {
            _super.call(this, 'Select Image', // button text
            'Add images', // description
            'glyphicon glyphicon-cloud', // icon
            'TICloudProgramProvider', ticFileDialogs, 'To start Flashing, upload an image from your local drive, or choose an image available on your Cloud Storage');
        }
        return TICloudProgramProvider;
    }(uniflash.programs.ProgramProvider));
    angular.module('uniflash').service('ufProgramProviders', programProviders);
    programProviders.$inject = ['ticFileDialogs'];
    function programProviders(ticFileDialogs) {
        var providers = {};
        var provider = new TICloudProgramProvider(ticFileDialogs);
        providers[provider.type] = provider;
        return providers;
    }
})();
